Skip to main content
POST
/
v1
/
transactions
/
{key}
/
revoke-archive
Restore archived transaction
curl --request POST \
  --url https://api.example.com/v1/transactions/{key}/revoke-archive
{
  "status": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.partnero.com/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

POST https://api.partnero.com/v1/transactions/{key}/revoke-archive
Restores a previously archived (soft-deleted) transaction and its associated rewards. The transaction and rewards return to their original state.
This endpoint is available for affiliate programs only.

Path parameters

ParameterTypeRequiredDescription
keystringYesTransaction’s unique key

Request

cURL
curl --location --request POST 'https://api.partnero.com/v1/transactions/transaction_123/revoke-archive' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'

Response

{
  "status": 1
}

Error responses

StatusErrorSolution
404Transaction not foundCheck the transaction key is correct
400Action failedTransaction may not be archived or restoration failed